Bug 1021958 - socat: length check in _xiodump()
socat: length check in _xiodump()
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961 1085024
  Show dependency treegraph
 
Reported: 2013-10-22 08:12 EDT by Florian Weimer
Modified: 2017-10-03 21:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-22 08:12:15 EDT
_xiodump() in xio-ascii.c has questionable length check and needs to compare against (codlen - 1) / 3, not 2 * codlen + 1.  It also should cap the input length at that value.  (3 characters per byte in case of interleaving spaces.)  codlen must be at least 1 (assert?).  xiodump() can write beyond the end of the buffer, but its callers compensate for that by not including the NUL byte in the passed size.
Comment 2 Gerhard 2014-03-10 17:07:55 EDT
Has been fixed in upstream release 1.7.2.4

Note You need to log in before you can comment on or make changes to this bug.